net.sf.jasperreports.engine.query

## Class StandardParameterTypesClauseFunction

- java.lang.Object
- - net.sf.jasperreports.engine.query.StandardParameterTypesClauseFunction

- All Implemented Interfaces:
    ParameterTypesClauseFunction

      public class StandardParameterTypesClauseFunction
      extends java.lang.Object
      implements ParameterTypesClauseFunction

  Version:
    $Id: StandardParameterTypesClauseFunction.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardParameterTypesClauseFunction(JRClauseFunction function, java.lang.Class<?>... types)`
    `StandardParameterTypesClauseFunction(JRClauseFunction function, java.lang.Class<?> type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRClauseFunction` | `getFunction()`
    `java.util.Collection<java.lang.Class<?>>` | `getSupportedTypes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardParameterTypesClauseFunction

          public StandardParameterTypesClauseFunction(JRClauseFunction function,
                                              java.lang.Class<?>... types)

    - #### StandardParameterTypesClauseFunction

          public StandardParameterTypesClauseFunction(JRClauseFunction function,
                                              java.lang.Class<?> type)

  - ### Method Detail

    - #### getSupportedTypes

          public java.util.Collection<java.lang.Class<?>> getSupportedTypes()

      Specified by:
        `getSupportedTypes` in interface `ParameterTypesClauseFunction`

    - #### getFunction

          public JRClauseFunction getFunction()

      Specified by:
        `getFunction` in interface `ParameterTypesClauseFunction`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com